Skip to content

Create a lead

POST
/leads
curl --request POST \
--url https://apisandbox.puurk.com/leads \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "id": "HaFjsdk2141811fasF", "oid": "1249fDSZ6714ekjfFK", "eid": "example", "first_name": "Jane", "last_name": "Doe", "phone_number": "+1544123456", "email_address": "janedoe@email.com" }'

Create a new lead/client

Lead object to create

Media typeapplication/json
object
id
string
Example
HaFjsdk2141811fasF
oid
string
Example
1249fDSZ6714ekjfFK
eid
string
first_name
required
string
Example
Jane
last_name
required
string
Example
Doe
phone_number
string
Example
+1544123456
email_address
string
Example
janedoe@email.com

Lead created

Media typeapplication/json
object
id
string
oid
string
eid
string
first_name
required
string
last_name
required
string
phone_number
string
email_address
string
Example
{
"id": "HaFjsdk2141811fasF",
"oid": "1249fDSZ6714ekjfFK",
"first_name": "Jane",
"last_name": "Doe",
"phone_number": "+1544123456",
"email_address": "janedoe@email.com"
}

Invalid input

Unauthorized